指定されたプロジェクトのメンテナンスウィンドウの自動延期を切り替えます。自動延期が有効になっている場合、すべてのメンテナンスウィンドウは 1 週間延期されます。このエンドポイントは、PATCH /maintenanceWindow エンドポイントの autoDeferOnceEnabledフィールドと同じ基礎の機能を制御します。違いは、このエンドポイントとなる接続されたデバイスが現在の値を切り替える(有効から無効に、またはその逆に切り替える)のに対し、autoDeferOnceEnabledフィールドでは特定の値を設定できることです。ほとんどのユースケースでは、切り替えではなく明示的な値を設定できるため、autoDeferOnceEnabled を持つ PATCH エンドポイントとなる接続されたデバイスが推奨されます。このリソースを使用するには、リクエスト元のサービスアカウントまたはAPIキーにプロジェクト オーナーのロールが必要です。
プロジェクトを識別する一意の 24 桁の 16 進数文字列。 認証済みユーザーがアクセスできるすべてのプロジェクトを取得するには、 /groups エンドポイントを使用します。
注: グループとプロジェクトは同義語です。そのため、グループ ID はプロジェクト ID と同じです。既存のグループの場合、グループ/プロジェクト ID は同じままです。リソースおよび対応するエンドポイントでは、グループという用語が使用されます。
形式は次のパターンと一致する必要があります: ^([a-f0-9]{24})$。
curl \
--request POST 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/maintenanceWindow/autoDefer' \
--header "Authorization: Bearer $ACCESS_TOKEN"
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}